OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
oms::Variable Class Reference

`#include <Variable.h>`

Collaboration diagram for oms::Variable:
[legend]

## Public Member Functions
| Variable (fmiHandle *fmi4c, int index, oms_component_enu_t componentType)
| ~Variable ()
void | markAsState (size_t der_index)
void | markAsContinuousTimeState (size_t der_index)
void | markAsContinuousTimeDer ()
unsigned int | getStateIndex () const
bool | isFmi2 () const
bool | isFmi3 () const
bool | isParameter () const
bool | isCalculatedParameter () const
bool | isInput () const
bool | isOutput () const
bool | isLocal () const
bool | isIndependent () const
bool | isState () const
bool | isDer () const
bool | isContinuousTimeState () const
bool | isContinuousTimeDer () const
bool | isExact () const
bool | isApprox () const
bool | isCalculated () const
bool | isInitialUnknown () const
const ComRef & | getCref () const
| operator std::string () const
fmi2ValueReference | getValueReference () const
fmi3ValueReference | getValueReferenceFMI3 () const
oms_signal_type_enu_t | getType () const
oms_signal_numeric_type_enu_t | getNumericType () const
const std::string & | getDescription () const
bool | isTypeBoolean () const
bool | isTypeInteger () const
bool | isTypeReal () const
bool | isTypeString () const
std::string | getCausalityString () const
oms_causality_enu_t | getCausality () const
unsigned int | getIndex () const
oms::Connector | makeConnector (const oms::ComRef &owner) const

## Private Member Functions
void | configureFMI2Variable (fmiHandle *fmi4c, int index)
void | configureFMI3Variable (fmiHandle *fmi4c, int index)

## Private Attributes
ComRef | cref
std::string | description
oms_component_enu_t | componentType
fmi2ValueReference | fmi2Vr
fmi2Causality | fmi2Causality_
fmi2Variability | fmi2Variability_
fmi2Initial | fmi2InitialProperty
fmi3ValueReference | fmi3Vr
fmi3Causality | fmi3Causality_
fmi3Variability | fmi3Variability_
fmi3Initial | fmi3InitialProperty
bool | is_state
bool | is_der
bool | is_continuous_time_state
bool | is_continuous_time_der
oms_signal_type_enu_t | type
oms_signal_numeric_type_enu_t | numericType
unsigned int | index
| index origin = 0
size_t | state_index
| index origin = 0
size_t | der_index
| index origin = 0
bool | fmi2
bool | fmi3

## Friends
bool | operator== (const oms::Variable &v1, const oms::Variable &v2)
bool | operator!= (const oms::Variable &v1, const oms::Variable &v2)

## Constructor & Destructor Documentation

## ◆ Variable()

oms::Variable::Variable | ( | fmiHandle * | fmi4c,
|  | int | index,
|  | oms_component_enu_t | componentType
| ) |  |

Here is the call graph for this function:

## ◆ ~Variable()

oms::Variable::~Variable | ( |  | ) |

## Member Function Documentation

## ◆ configureFMI2Variable()

void oms::Variable::configureFMI2Variable | ( | fmiHandle * | fmi4c,
|  | int | index
| ) |  |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ configureFMI3Variable()

void oms::Variable::configureFMI3Variable | ( | fmiHandle * | fmi4c,
|  | int | index
| ) |  |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getCausality()

oms_causality_enu_t oms::Variable::getCausality | ( |  | ) | const

Here is the caller graph for this function:

## ◆ getCausalityString()

std::string oms::Variable::getCausalityString | ( |  | ) | const

## ◆ getCref()

const ComRef & oms::Variable::getCref | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getDescription()

const std::string & oms::Variable::getDescription | ( |  | ) | const
| inline

## ◆ getIndex()

unsigned int oms::Variable::getIndex | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getNumericType()

oms_signal_numeric_type_enu_t oms::Variable::getNumericType | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getStateIndex()

unsigned int oms::Variable::getStateIndex | ( |  | ) | const
| inline

## ◆ getType()

oms_signal_type_enu_t oms::Variable::getType | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getValueReference()

fmi2ValueReference oms::Variable::getValueReference | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getValueReferenceFMI3()

fmi3ValueReference oms::Variable::getValueReferenceFMI3 | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isApprox()

bool oms::Variable::isApprox | ( |  | ) | const
| inline

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isCalculated()

bool oms::Variable::isCalculated | ( |  | ) | const
| inline

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isCalculatedParameter()

bool oms::Variable::isCalculatedParameter | ( |  | ) | const
| inline

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isContinuousTimeDer()

bool oms::Variable::isContinuousTimeDer | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isContinuousTimeState()

bool oms::Variable::isContinuousTimeState | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isDer()

bool oms::Variable::isDer | ( |  | ) | const
| inline

## ◆ isExact()

bool oms::Variable::isExact | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ isFmi2()

bool oms::Variable::isFmi2 | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isFmi3()

bool oms::Variable::isFmi3 | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isIndependent()

bool oms::Variable::isIndependent | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ isInitialUnknown()

bool oms::Variable::isInitialUnknown | ( |  | ) | const
| inline

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isInput()

bool oms::Variable::isInput | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ isLocal()

bool oms::Variable::isLocal | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ isOutput()

bool oms::Variable::isOutput | ( |  | ) | const
| inline

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ isParameter()

bool oms::Variable::isParameter | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ isState()

bool oms::Variable::isState | ( |  | ) | const
| inline

## ◆ isTypeBoolean()

bool oms::Variable::isTypeBoolean | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isTypeInteger()

bool oms::Variable::isTypeInteger | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isTypeReal()

bool oms::Variable::isTypeReal | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ isTypeString()

bool oms::Variable::isTypeString | ( |  | ) | const
| inline

## ◆ makeConnector()

oms::Connector oms::Variable::makeConnector | ( | const oms::ComRef & | owner | ) | const
| inline

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ markAsContinuousTimeDer()

void oms::Variable::markAsContinuousTimeDer | ( |  | ) |
| inline

## ◆ markAsContinuousTimeState()

void oms::Variable::markAsContinuousTimeState | ( | size_t | der_index | ) |
| inline

## ◆ markAsState()

void oms::Variable::markAsState | ( | size_t | der_index | ) |
| inline

## ◆ operator std::string()

oms::Variable::operator std::string | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ operator!=

bool operator!= | ( | const oms::Variable & | v1,
|  | const oms::Variable & | v2
| ) |  |
| friend

## ◆ operator==

bool operator== | ( | const oms::Variable & | v1,
|  | const oms::Variable & | v2
| ) |  |
| friend

## Member Data Documentation

## ◆ componentType

oms_component_enu_t oms::Variable::componentType
| private

## ◆ cref

ComRef oms::Variable::cref
| private

## ◆ der_index

size_t oms::Variable::der_index
| private

index origin = 0

## ◆ description

std::string oms::Variable::description
| private

## ◆ fmi2

bool oms::Variable::fmi2
| private

## ◆ fmi2Causality_

fmi2Causality oms::Variable::fmi2Causality_
| private

## ◆ fmi2InitialProperty

fmi2Initial oms::Variable::fmi2InitialProperty
| private

## ◆ fmi2Variability_

fmi2Variability oms::Variable::fmi2Variability_
| private

## ◆ fmi2Vr

fmi2ValueReference oms::Variable::fmi2Vr
| private

## ◆ fmi3

bool oms::Variable::fmi3
| private

## ◆ fmi3Causality_

fmi3Causality oms::Variable::fmi3Causality_
| private

## ◆ fmi3InitialProperty

fmi3Initial oms::Variable::fmi3InitialProperty
| private

## ◆ fmi3Variability_

fmi3Variability oms::Variable::fmi3Variability_
| private

## ◆ fmi3Vr

fmi3ValueReference oms::Variable::fmi3Vr
| private

## ◆ index

unsigned int oms::Variable::index
| private

index origin = 0

## ◆ is_continuous_time_der

bool oms::Variable::is_continuous_time_der
| private

## ◆ is_continuous_time_state

bool oms::Variable::is_continuous_time_state
| private

## ◆ is_der

bool oms::Variable::is_der
| private

## ◆ is_state

bool oms::Variable::is_state
| private

## ◆ numericType

oms_signal_numeric_type_enu_t oms::Variable::numericType
| private

## ◆ state_index

size_t oms::Variable::state_index
| private

index origin = 0

## ◆ type

oms_signal_type_enu_t oms::Variable::type
| private

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/Variable.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/Variable.cpp